import { Compiler } from 'webpack';
import HtmlWebpackPlugin from 'html-webpack-plugin';

declare class InlineChunkHtmlPlugin {
    private htmlWebpackPlugin;
    private tests;
    constructor(htmlWebpackPlugin: typeof HtmlWebpackPlugin, tests: RegExp[]);
    /**
     * Get the inlined tag based on the specified conditions.
     * @param publicPath - The public path used in the project.
     * @param assets - Compilation assets.
     * @param tag - The HTML tag to be processed.
     * @returns The modified HTML tag.
     */
    private getInlinedTag;
    /**
     * Apply the plugin to the Webpack compiler.
     * @param compiler - The Webpack compiler instance.
     */
    apply(compiler: Compiler): void;
}

export { InlineChunkHtmlPlugin as default };
