import escapeStringRegexp from "escape-string-regexp";
class InterpolateHtmlPlugin {
  htmlWebpackPlugin;
  replacements;
  constructor(htmlWebpackPlugin, replacements) {
    this.htmlWebpackPlugin = htmlWebpackPlugin;
    this.replacements = replacements;
  }
  apply(compiler) {
    compiler.hooks.compilation.tap("InterpolateHtmlPlugin", (compilation) => {
      this.htmlWebpackPlugin.getHooks(compilation).afterTemplateExecution.tap("InterpolateHtmlPlugin", (data) => {
        Object.keys(this.replacements).forEach((key) => {
          const value = this.replacements[key];
          data.html = data.html.replace(
            new RegExp("%" + escapeStringRegexp(key) + "%", "g"),
            value
          );
        });
        return data;
      });
    });
  }
}
var InterpolateHtmlPlugin_default = InterpolateHtmlPlugin;
export {
  InterpolateHtmlPlugin_default as default
};
