/**
 * 返回带有斜杠结尾的URL或路径
 * 在生产中可以是URL、绝对路径或相对路径
 * 在开发中始终是绝对路径
 * 在开发中可以使用 `path` 模块函数进行操作
 *
 * @param {boolean} isEnvDevelopment - 表示当前环境是否为开发环境。
 * @param {(string|undefined)} homepage - 应用程序主页的有效URL或路径名。
 * @param {(string|undefined)} envPublicUrl - 公共资源基础URL的有效URL或路径名。
 * @returns {string} - 要么是URL，要么是以斜杠结尾的路径。
 */
declare function getPublicUrlOrPath(isEnvDevelopment: boolean, homepage: string | undefined, envPublicUrl: string | undefined): string;

export { getPublicUrlOrPath as default };
