import os from "node:os";
import { createHash } from "node:crypto";
import { fs } from "@mango-scripts/utils";
const interfaces = os.networkInterfaces();
const getLocalHost = () => {
  for (const devName in interfaces) {
    const iface = interfaces[devName];
    if (iface?.length) {
      for (let i = 0; i < iface.length; i++) {
        const alias = iface[i];
        if (alias.family === "IPv4" && alias.address !== "127.0.0.1" && !alias.internal && alias.address.startsWith("10")) {
          return alias.address;
        }
      }
    }
  }
};
const getHash = (env) => {
  const hash = createHash("md5");
  hash.update(JSON.stringify(env));
  return hash.digest("hex");
};
const extractPkgJson = (key, pkgPath) => {
  const packageJson = fs.readJSONSync(require.resolve(pkgPath));
  return packageJson[key];
};
export {
  extractPkgJson,
  getHash,
  getLocalHost
};
