import { fs, cosmiconfig } from "@mango-scripts/utils";
import { mergeWith, isArray } from "lodash-es";
import { userDefaultWebpackConfig } from "../../defineConfig.mjs";
const deepMergeWithArray = (object, sources) => {
  return mergeWith(object, sources, (objValue, srcValue) => {
    if (isArray(objValue)) {
      return objValue.concat(srcValue);
    }
  });
};
const getUserConfig = async () => {
  const explorer = cosmiconfig("mango");
  try {
    const result = await explorer.search(fs.realpathSync(process.cwd()));
    return deepMergeWithArray(userDefaultWebpackConfig, result?.config || {});
  } catch (error) {
    throw new Error("mango: Config function didn't return a config object.");
  }
};
export {
  deepMergeWithArray,
  getUserConfig
};
