import path from "node:path";
import { fs, pico } from "@mango-scripts/utils";
import { getPaths } from "../../common/getPaths.mjs";
import { applyEnv } from "../../common/getEnv.mjs";
import { getWebpackConfig } from "../config/webpack.config.mjs";
import { getUserConfig } from "../config/getUserConfig.mjs";
process.on("unhandledRejection", (err) => {
  throw err;
});
const inspect = async (mode) => {
  try {
    const userConfig = await getUserConfig();
    const paths = getPaths(userConfig);
    applyEnv(mode, "production", paths);
    const config = getWebpackConfig(userConfig, paths);
    await fs.emptyDir(paths.appDist);
    const webpackConfigPath = path.join(paths.appDist, "./webpack.config.js");
    fs.writeFile(webpackConfigPath, `const config = ${JSON.stringify(config)}`);
    console.log(
      pico.cyan(`
    Inspect config succeed, open following files to view the content:

    Webpack Config File Path: ${webpackConfigPath}
    `)
    );
  } catch (err) {
    if (err && err.message) {
      console.log(err.message);
    }
    process.exit(1);
  }
};
var inspect_default = inspect;
export {
  inspect_default as default
};
